.dice_container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 2em;
}
.dice {
    width: 5em;
    height: 5em;
    position: relative;
    /*
    background-color: red;
    border-radius: 2em;*/
}
.add_keyframe {
    transform-style: preserve-3d;
    transform: rotateX(0deg) rotateY(0deg) translateX(0);
    animation-name: rotate;
    animation-iteration-count: 1;
    animation-duration: 3s;
    animation-timing-function: ease-in-out;
}
.dice_side {
    width: 5em;
    height: 5em;
    border: 0.2em solid white;
    /*border-radius: 2em;*/
    background-color: red;
    color: white;
    position: absolute;
    box-sizing: border-box;
}
/*dots: appearance*/
.dice_side span {
    background-color: white;
    border-radius: 1em;
    width: 1em;
    height: 1em;
    position: absolute;
}
.front {
    transform: rotateY(0deg) translateZ(2.5em);
}
.back {
    transform: rotateY(180deg) translateZ(2.5em);
}
.right {
    transform: rotateY(90deg) translateZ(2.5em);
}
.left {
    transform: rotateY(-90deg) translateZ(2.5em);
}
.top {
    transform: rotateX(90deg) translateZ(2.5em);
}
.bottom {
    transform: rotateX(-90deg) translateZ(2.5em);
}
/*dots: position*/
.central_dot {
    top: 1.75em;
    left: 1.75em;
}
.top_left_dot {
    top: 0.5em;
    left: 0.5em;
}
.top_right_dot {
    top: 0.5em;
    right: 0.5em;
}
.left_central_dot {
    top: 1.75em;
    left: 0.5em;
}
.right_central_dot {
    top: 1.75em;
    right: 0.5em;
}
.bottom_left_dot {
    bottom: 0.5em;
    left: 0.5em;   
}
.bottom_right_dot {
    bottom: 0.5em;
    right: 0.5em;
}

@keyframes rotate {
    0% { transform: rotateX(0deg) rotateY(0deg) rotateZ(0deg) translatex(0);}
    20% { transform: rotateX(360deg) rotateY(270deg) rotateZ(0deg) translateX(0); }

    21% { transform: rotateX(360deg) rotateY(270deg) rotateZ(0deg) translateX(0); }
    40% { transform: rotateX(-180deg) rotateY(-180deg) rotateZ(0deg) translateX(0); }

    41% { transform: rotateX(-180deg) rotateY(-180deg) rotateZ(0deg) translateX(0); }
    60% { transform: rotateX(90deg) rotateY(0deg) rotateZ(0deg) translateX(0); }

    61% { transform: rotateX(90deg) rotateY(0deg) rotateZ(0deg) translateX(0); }
    80% { transform: rotateX(-90deg) rotateY(180deg) rotateZ(0deg) translateX(0); }

    81% { transform: rotateX(-90deg) rotateY(180deg) rotateZ(0deg) translateX(0); }
    100% { transform: rotateX(0deg) rotateY(0deg) rotateZ(0deg) translatex(0);}
}
